lib64qtcore4-4.8.7-15.mga6.x86_64.rpm


Advertisement

Description

lib64qtcore4 - Qt4 Component Library

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package name lib64qtcore4
Package version 4.8.7
Package release 15.mga6
Package architecture x86_64
Package type rpm
Installed size 3.49 MB
Download size 1.25 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Qt4 Component Library.
The QtCore module contains core non-GUI functionality.

Alternatives

Package Version Architecture Repository
lib64qtcore4 - - -

Requires

Name Value
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
libQtCore.so.4()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.9)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libglib-2.0.so.0()(64bit) -
libicui18n.so.58()(64bit) -
libicuuc.so.58()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libz.so.1()(64bit) -
qt4-common == 4:4.8.7

Provides

Name Value
lib64qtcore4 == 4:4.8.7-15.mga6
lib64qtcore4(x86-64) == 4:4.8.7-15.mga6
libQtCore.so.4()(64bit) -
libqcncodecs.so()(64bit) -
libqjpcodecs.so()(64bit) -
libqkrcodecs.so()(64bit) -
libqtwcodecs.so()(64bit) -
qtcorelib == 4:4.8.7

Download

Type URL
Binary Package lib64qtcore4-4.8.7-15.mga6.x86_64.rpm
Source Package qt4-4.8.7-15.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64qtcore4 rpm package:
    # urpmi lib64qtcore4

Files

Path
/usr/lib64/libQtCore.so.4
/usr/lib64/libQtCore.so.4.8
/usr/lib64/libQtCore.so.4.8.7
/usr/lib64/qt4/plugins/codecs/libqcncodecs.so
/usr/lib64/qt4/plugins/codecs/libqjpcodecs.so
/usr/lib64/qt4/plugins/codecs/libqkrcodecs.so
/usr/lib64/qt4/plugins/codecs/libqtwcodecs.so

Changelog

2017-03-16 - mrambo3501 <mrambo3501> 4:4.8.7-15.mga6
+ Revision: 1093104
- Rebuild for icu-58.2
2016-08-29 - luigiwalser <luigiwalser> 4:4.8.7-14.mga6
+ Revision: 1049387
- actually replace renamed database plugins on upgrade from mga5
2016-05-13 - barjac <barjac> 4:4.8.7-13.mga6
+ Revision: 1014920
- rebuild for icu
2016-04-17 - neoclust <neoclust> 4:4.8.7-12.mga6
+ Revision: 1003140
- Rebuild because of missing signature
2016-03-31 - luigiwalser <luigiwalser> 4:4.8.7-11.mga6
+ Revision: 997178
- add patches from opensuse to disable insecure ciphers (bnc#865241)
2016-03-03 - umeabot <umeabot> 4:4.8.7-10.mga6
+ Revision: 983979
- Rebuild for openssl
2016-01-01 - luigiwalser <luigiwalser> 4:4.8.7-9.mga6
+ Revision: 917918
- rebuild for icu
2015-10-30 - blino <blino> 4:4.8.7-8.mga6
+ Revision: 896555
- do not require phonon-devel from qt4-devel (qt4 does not provide or pull phonon anymore)
2015-10-27 - neoclust <neoclust> 4:4.8.7-7.mga6
+ Revision: 895900
- Libify databases plugins
+ blino <blino>
- remove pulseaudio dep, it was needed by phonon only
- remove local phonon package support, it was probably useful just for QtWebKit previously, and the designer plugin is provided by the phonon package as well
2015-10-27 - blino <blino> 4:4.8.7-6.mga6
+ Revision: 895713
- build with external QtWebKit instead of locally, since local build was
done just to enable support in qtdesigner and qtassistant, and removed
right afterwards (also add a conditional webkit flag for bootstrap)
- disable video in local QtWebKit build to avoid deps with gstreamer,
not important since this local QtWebKit is used only to enable the
qtdesigner qwebview plugin and QtWebKit support in qtassistant, and
built files are removed afterwards

See Also

Package Description
lib64qtcurve-gtk2-1.8.16-5.mga6.x86_64.rpm libraries for qtcurve-gtk2
lib64qtdbus4-4.8.7-15.mga6.x86_64.rpm QT Dbus Library
lib64qtdeclarative4-4.8.7-15.mga6.x86_64.rpm Qt4 Declarative library
lib64qtdesigner4-4.8.7-15.mga6.x86_64.rpm Qt4 Component Library
lib64qtenginio1-1.6.2-1.mga6.x86_64.rpm Qt5 Component Library
lib64qtermwidget-devel-0.7.1-1.mga6.x86_64.rpm Qt5 terminal widget - devel package
lib64qtermwidget5_0-0.7.1-1.mga6.x86_64.rpm Runtime library for qtermwidget
lib64qtfeedback1-1.2.2-4.mga6.x86_64.rpm QtFeedback runtime library
lib64qtgallery1-1.2.2-4.mga6.x86_64.rpm QtGallery runtime library
lib64qtglib2.0_0-1.2.0-4.mga6.x86_64.rpm C++/Qt bindings for parts of the GLib and GObject APIs
lib64qtgstreamer1.0_0-1.2.0-4.mga6.x86_64.rpm C++/Qt bindings for GStreamer
lib64qtgstreamerui1.0_0-1.2.0-4.mga6.x86_64.rpm Library providing integration with QtGui
lib64qtgstreamerutils1.0_0-1.2.0-4.mga6.x86_64.rpm Library providing some high level utility classes
lib64qtgui4-4.8.7-15.mga6.x86_64.rpm Qt4 Component Library
lib64qthelp4-4.8.7-15.mga6.x86_64.rpm Qt4 Component Library
Advertisement
Advertisement